Skip to main content
GET
/
cdr
/
v1
/
ekauser
/
{user_id}
Get Eka User by ID
curl --request GET \
  --url https://api.eka.care/cdr/v1/ekauser/{user_id}/ \
  --header 'auth: <auth>'
{
  "status": "success",
  "user": {
    "id": "176917697553584",
    "firstname": "Amit",
    "lastname": "Kumar",
    "mobile": "+919876543210",
    "email": "amit.kumar@example.com",
    "is_admin": false,
    "seat_type": "b",
    "doctors": [
      {
        "id": "do1769174683513",
        "firstname": "Rajesh",
        "lastname": "Sharma"
      }
    ],
    "clinics": [
      {
        "id": "c-ab2c-34f2d-2gwd-2g2g",
        "name": "Sunrise Clinic"
      }
    ],
    "partner_id": "Part_user_1"
  }
}

Documentation Index

Fetch the complete documentation index at: https://ekacare-mintlify-changelog-may2-april-monthly-1777856908.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"

Path Parameters

user_id
string
required

Eka User's Eka ID or partner-provided ID

Example:

"176917697553584"

Response

OK - Eka User details retrieved

status
string
Example:

"success"

user
object